<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.5"/>
<title>Advanced Cuts for Cooperative OPF: decoop::PlantbusInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Advanced Cuts for Cooperative OPF
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.5 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Friends</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedecoop.html">decoop</a></li><li class="navelem"><a class="el" href="classdecoop_1_1_plantbus_info.html">PlantbusInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdecoop_1_1_plantbus_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">decoop::PlantbusInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Contains information on subproblem status that is relevant for <a class="el" href="classdecoop_1_1_coop_benders_algorithm.html" title="Implements the decomposition algorithm. ">CoopBendersAlgorithm</a> class but not necessary to be known in the subproblem classes <a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html" title="Provides an interface for solving CW subproblems and adding cuts from such problems. ">PlantbusSubproblemCW</a> and <a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html" title="Provides an interface for solving L1 subproblems and adding cuts from such problems. ">PlantbusSubproblemL1</a>.  
 <a href="classdecoop_1_1_plantbus_info.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="plantbus_info_8hpp_source.html">plantbusInfo.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a40c2deb86d50358ccb6d58ec279696c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a40c2deb86d50358ccb6d58ec279696c9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdecoop_1_1_plantbus_info.html#a40c2deb86d50358ccb6d58ec279696c9">PlantbusInfo</a> ()</td></tr>
<tr class="memdesc:a40c2deb86d50358ccb6d58ec279696c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br/></td></tr>
<tr class="separator:a40c2deb86d50358ccb6d58ec279696c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a356ac537eb88912e93bb7a453dd70994"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdecoop_1_1_plantbus_info.html#a356ac537eb88912e93bb7a453dd70994">get_no_update</a> () const </td></tr>
<tr class="memdesc:a356ac537eb88912e93bb7a453dd70994"><td class="mdescLeft">&#160;</td><td class="mdescRight">no_update_ indicates whether or not new power profiles should be suggested for a plantbus.  <a href="#a356ac537eb88912e93bb7a453dd70994">More...</a><br/></td></tr>
<tr class="separator:a356ac537eb88912e93bb7a453dd70994"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349969f7cc503273e11a38b81bb36f06"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdecoop_1_1_plantbus_info.html#a349969f7cc503273e11a38b81bb36f06">set_no_update</a> (const bool value)</td></tr>
<tr class="memdesc:a349969f7cc503273e11a38b81bb36f06"><td class="mdescLeft">&#160;</td><td class="mdescRight">no_update_ indicates whether or not new power profiles should be suggested for a plantbus.  <a href="#a349969f7cc503273e11a38b81bb36f06">More...</a><br/></td></tr>
<tr class="separator:a349969f7cc503273e11a38b81bb36f06"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a0d9569d0c9a097dcb9faf642019f58c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d9569d0c9a097dcb9faf642019f58c9"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdecoop_1_1_plantbus_info.html#a0d9569d0c9a097dcb9faf642019f58c9">no_update_</a></td></tr>
<tr class="memdesc:a0d9569d0c9a097dcb9faf642019f58c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Indicates whether or not new power profiles should be suggested for a plantbus. <br/></td></tr>
<tr class="separator:a0d9569d0c9a097dcb9faf642019f58c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Contains information on subproblem status that is relevant for <a class="el" href="classdecoop_1_1_coop_benders_algorithm.html" title="Implements the decomposition algorithm. ">CoopBendersAlgorithm</a> class but not necessary to be known in the subproblem classes <a class="el" href="classdecoop_1_1_plantbus_subproblem_c_w.html" title="Provides an interface for solving CW subproblems and adding cuts from such problems. ">PlantbusSubproblemCW</a> and <a class="el" href="classdecoop_1_1_plantbus_subproblem_l1.html" title="Provides an interface for solving L1 subproblems and adding cuts from such problems. ">PlantbusSubproblemL1</a>. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a356ac537eb88912e93bb7a453dd70994"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool decoop::PlantbusInfo::get_no_update </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>no_update_ indicates whether or not new power profiles should be suggested for a plantbus. </p>
<dl class="section return"><dt>Returns</dt><dd>Value of no_update_. </dd></dl>

</div>
</div>
<a class="anchor" id="a349969f7cc503273e11a38b81bb36f06"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void decoop::PlantbusInfo::set_no_update </td>
          <td>(</td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>no_update_ indicates whether or not new power profiles should be suggested for a plantbus. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">value</td><td>Value to be set. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>inc/<a class="el" href="plantbus_info_8hpp_source.html">plantbusInfo.hpp</a></li>
<li>src/<a class="el" href="plantbus_info_8cpp.html">plantbusInfo.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.5
</small></address>
</body>
</html>
